org.codehaus.plexus.util.io

## Class FileInputStreamFacade

- java.lang.Object
- - org.codehaus.plexus.util.io.FileInputStreamFacade

- All Implemented Interfaces:
    InputStreamFacade

      public class FileInputStreamFacade
      extends java.lang.Object
      implements InputStreamFacade

  Implementation of `InputStreamFacade` for files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileInputStreamFacade(java.io.File file)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()` Retrieves the actual `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileInputStreamFacade

          public FileInputStreamFacade(java.io.File file)

      Creates a new instance.

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Description copied from interface: `InputStreamFacade`
      Retrieves the actual `InputStream`. The caller must assume, that this method may be invoked only once.
      Specified by:
        `getInputStream` in interface `InputStreamFacade`
      Throws:
        `java.io.IOException`